Resend profile access invitation
curl --request POST \
--url https://api.wircle.com/v1/profile-access/{grant_id}/resendimport requests
url = "https://api.wircle.com/v1/profile-access/{grant_id}/resend"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.wircle.com/v1/profile-access/{grant_id}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"access_grant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager_profile": {
"id": "<string>",
"username": "<string>",
"type": "human",
"name": "<string>",
"call_name": "<string>",
"legal_name_verified": true,
"occupation": "<string>",
"location": {
"country_code": "<string>",
"country_name": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"city_name": "<string>"
},
"bio": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"media": {
"avatar": {
"light": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
},
"dark": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
}
},
"banner": {
"light": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
},
"dark": {
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>"
}
}
}
},
"permissions": [
"posting"
],
"status": "pending",
"accepted_at": "2023-11-07T05:31:56Z",
"declined_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}Profile Access
Resend profile access invitation
Resends a pending profile access invitation.
POST
/
v1
/
profile-access
/
{grant_id}
/
resend
Resend profile access invitation
Path Parameters
Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
⌘I